guix-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[bug#40601] [PATCH 10/28] guix-install.sh: Replace subshell-inducing com


From: Vincent Legoll
Subject: [bug#40601] [PATCH 10/28] guix-install.sh: Replace subshell-inducing command grouping.
Date: Sun, 17 May 2020 19:17:07 +0200

* etc/guix-install.sh (chk_gpg_keyring): Replace () command grouping by {}.
---
 etc/guix-install.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 19883b89ae..d2e44e98b2 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -110,11 +110,11 @@ chk_gpg_keyring()
 
     # Without --dry-run this command will create a ~/.gnupg owned by root on
     # systems where gpg has never been used, causing errors and confusion.
-    gpg --dry-run --list-keys ${OPENPGP_SIGNING_KEY_ID} >/dev/null 2>&1 || (
-        _err "${ERR}Missing OpenPGP public key.  Fetch it with this command:"
-        echo "  wget https://sv.gnu.org/people/viewgpg.php?user_id=15145 -qO - 
| gpg --import -"
-        exit 1
-    )
+    gpg --dry-run --list-keys ${OPENPGP_SIGNING_KEY_ID} >/dev/null 2>&1 || {
+        _err "${ERR}Missing OpenPGP public key.  Fetch it with this command:";
+        echo "  wget https://sv.gnu.org/people/viewgpg.php?user_id=15145 -qO - 
| gpg --import -";
+        exit 1;
+    }
 }
 
 chk_term()
-- 
2.26.2






reply via email to

[Prev in Thread] Current Thread [Next in Thread]